/****************************************************

	JConfig Source Code Distribution
	version: 2.1.0      written: Fri Aug 11 01:18:08 PDT 2000

	Unless otherwise noted, all contents
	Copyright (c) 1997,1998,1999,2000 Samizdat Productions.
	All Rights Reserved.
	All contents are subject to the terms of the
	JConfig Source Code License Agreement

****************************************************/

/*
	Includes the appropriate set of macros and utility routines,
	depending on which native code architecture we're building.
*/

#ifndef INC_jmacros_H
#define INC_jmacros_H

#if defined(DO_JNI)

	#include "jni_macros.h"
	#include "JNIUtils.h"

#elif defined(DO_RNI2)

	#include "rni_macros.h"
	#include "RNIUtils.h"

#elif defined(DO_RNI1)

	#include "rni_macros.h"
	#include "RNIUtils.h"

#elif defined(DO_JRI)

	#include "jri_macros.h"
	#include "JRIUtils.h"

#endif

#endif


